Bug 22807 - Installed packages are marked as 'not installed'
Summary: Installed packages are marked as 'not installed'
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-24 18:53 UTC by pogosyan
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-26 20:21:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description pogosyan 2000-12-24 18:53:40 UTC
Well, I did a fairly stupid thing - I installed rpm-4.0.2 from rawhide
on my Redhat 7.0 machine and the reinstalled back original rpm-4.0.
Unfortunately in the between I installed several packages with rpm-4.0.2

Now, after reverting to rpm-4.0 all those packages work , but
rpm -q -i shows they are marked as 'not installed'. And I cannot remove
or update them !  rpm -U (-e) fails with 'segmentation fault'.
The irony is of course that rpm-4.0 package itself is of course among those
and I cannot remove it or update back to rpm-4.0.2.

Quite unfortunately critical glibc packages are among those affected.

Any ideas what I can do ???

			Dmitri Pogosyan

Comment 1 Jeff Johnson 2000-12-26 20:21:38 UTC
FIrst try to identify what packages were installed using rpm-4.0.2 by doing "rpm
-q --last".
Sooner or later, those packages should be reinstalled.

Try rpm-4.0.1-0.x from ftp://ftp.rpm.org/pub/rpm/test-4.0.1, the problems you
are encountering
have been fixed there. Let me know if that works, and I'll have further
suggestions about what
to do.





Comment 2 Jeff Johnson 2001-01-08 15:35:18 UTC
Please reopen if your problem is not resolved.


Note You need to log in before you can comment on or make changes to this bug.